Package be.fgov.ehealth.monitoring.core.v2

# Enum Class EnvironmentType

java.lang.Object
java.lang.Enum<EnvironmentType>
be.fgov.ehealth.monitoring.core.v2.EnvironmentType

All Implemented Interfaces:
  `Serializable`, `Comparable<EnvironmentType>`, `java.lang.constant.Constable`

public enum EnvironmentType extends Enum<EnvironmentType>
Environment in which monitoring is executed.

Java class for EnvironmentType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="EnvironmentType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
         <enumeration value="ACC"/>
         <enumeration value="PROD"/>
         <enumeration value="LOCAL"/>
         <enumeration value="DEV"/>
         <enumeration value="TEST"/>
         <enumeration value="SIM"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACC`
  `DEV`
  `LOCAL`
  `PROD`
  `SIM`
  `TEST`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EnvironmentType`
  `fromValue(String v)`
  `String`
  `value()`
  `static EnvironmentType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EnvironmentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACC

    public static final EnvironmentType ACC

  - ### PROD

    public static final EnvironmentType PROD

  - ### LOCAL

    public static final EnvironmentType LOCAL

  - ### DEV

    public static final EnvironmentType DEV

  - ### TEST

    public static final EnvironmentType TEST

  - ### SIM

    public static final EnvironmentType SIM

- ## Method Details

  - ### values

    public static EnvironmentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EnvironmentType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static EnvironmentType fromValue(String v)